Skip to main content
GET
Get all newsletter subscriptions (Admin only)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

active
boolean
required

Response

200 - application/json

Returns all newsletter subscriptions

id
string
required

Unique identifier for the newsletter subscription

Example:

"123e4567-e89b-12d3-a456-426614174000"

email
string
required

Email address of the subscriber

Example:

"subscriber@example.com"

active
boolean
required

Flag indicating if the subscription is active

Example:

true

subscribedAt
string<date-time>
required

Date and time when the user subscribed

Example:

"2025-03-15T10:30:00Z"

unsubscribedAt
string<date-time> | null
required

Date and time when the user unsubscribed, if applicable

Example:

null

createdAt
string<date-time>
required

Date and time when the subscription record was created

Example:

"2025-03-15T10:30:00Z"

updatedAt
string<date-time>
required

Date and time when the subscription record was last updated

Example:

"2025-03-15T10:30:00Z"